ServerEvents.recipes(event => {







    //Chalk

        event.shapeless(
            Item.of('chalk:white_chalk', 1), 
            [
              'tfc:rock/loose/chalk',
              'minecraft:white_dye'
            ]
          )

        event.shapeless(
            Item.of('chalk:brown_chalk', 1), 
            [
              'tfc:rock/loose/chalk',
              'minecraft:brown_dye'
            ]
          )

          event.shapeless(
              Item.of('chalk:purple_chalk', 1), 
              [
                'tfc:rock/loose/chalk',
                'minecraft:purple_dye'
              ]
            )
  
          event.shapeless(
              Item.of('chalk:green_chalk', 1), 
              [
                'tfc:rock/loose/chalk',
                'minecraft:green_dye'
              ]
            )

            event.shapeless(
                Item.of('chalk:black_chalk', 1), 
                [
                  'tfc:rock/loose/chalk',
                  'minecraft:black_dye'
                ]
              )
    
            event.shapeless(
                Item.of('chalk:lime_chalk', 1), 
                [
                  'tfc:rock/loose/chalk',
                  'minecraft:lime_dye'
                ]
              )
            
            event.shapeless(
                Item.of('chalk:light_blue_chalk', 1), 
                [
                  'tfc:rock/loose/chalk',
                  'minecraft:light_blue_dye'
                ]
              )
    
            event.shapeless(
                Item.of('chalk:gray_chalk', 1), 
                [
                  'tfc:rock/loose/chalk',
                  'minecraft:gray_dye'
                ]
              )
            
            event.shapeless(
                Item.of('chalk:yellow_chalk', 1), 
                [
                  'tfc:rock/loose/chalk',
                  'minecraft:yellow_dye'
                ]
              )
    
            event.shapeless(
                Item.of('chalk:orange_chalk', 1), 
                [
                  'tfc:rock/loose/chalk',
                  'minecraft:orange_dye'
                ]
              )
            
            event.shapeless(
                  Item.of('chalk:magenta_chalk', 1), 
                  [
                    'tfc:rock/loose/chalk',
                    'minecraft:magenta_dye'
                  ]
                )
      
            event.shapeless(
                  Item.of('chalk:blue_chalk', 1), 
                  [
                    'tfc:rock/loose/chalk',
                    'minecraft:blue_dye'
                  ]
                )
      
            event.shapeless(
                    Item.of('chalk:cyan_chalk', 1), 
                    [
                    'tfc:rock/loose/chalk',
                    'minecraft:cyan_dye'
                    ]
                    )
      
            event.shapeless(
                          Item.of('chalk:light_gray_chalk', 1), 
                    [
                    'tfc:rock/loose/chalk',
                    'minecraft:light_gray_dye'
                    ]
                    )
      
            event.shapeless(
                        Item.of('chalk:red_chalk', 1), 
                        [
                        'tfc:rock/loose/chalk',
                        'minecraft:red_dye'
                        ]
                        )
      
            event.shapeless(
                        Item.of('chalk:pink_chalk', 1), 
                        [
                        'tfc:rock/loose/chalk',
                        'minecraft:pink_dye'
                        ]
                        )



})